#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "reason_object4xi.py">
#<abstract4xi abstract = "provides function reason_object4xi"/>
#<refer4xi reference = "dragonxi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'reason_object4xi' ] 
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:
    import _winapi
except:
    pass

                
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:                 # most-common ones
    pass         
except:
    pass
try:                 # rare ones
    pass         
except:
    pass 
try:                 # imported-as ones 
    pass          
except:
    pass            
#"
#/>


# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from print4xi import print4xi
from private_methods4xi import private_methods4xi
from time4xi import time4xi
#"
#/>

 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "reason_object4xi" usage = "
#    reasons object and returns reasoned knowledgebase
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def reason_object4xi(object):
    '''
    reasons object and returns reasoned knowledgebase
    '''
    
    # -------------------------------------------------------------------------------------------------
    #                        
    # -------------------------------------------------------------------------------------------------
         
    class2print = "reason_object4xi"
    method2print = "reason_object4xi"
    
  

    message2print = "{started" + "; reason-object4xi-started: " + str(reason_object4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            

     
    message2print = "{passed" + "; object-passed-to-reason-object4xi: " + str(object) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    
    # -------------------------------------------------------------------------------------------------
    #                        
    # -------------------------------------------------------------------------------------------------
       
    try:
        kb4xi = {'object-reason-object4xi': object}  
    except:
        pass
        
                 
    # -------------------------------------------------------------------------------------------------
    # to-be-done                              
    # -------------------------------------------------------------------------------------------------    
    #<do4xi do = "
    #    add reasoning to reason_object4xi.py; use threading, os and sys
    #"
    #/>         
             
    message2print = "{returning" + "; kb4xi-returning-by-reason-object4xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      

        
    return kb4xi
#</function4xi>
#</program4xi>


# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

  
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of reason_object4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>



